{% extends 'base.html.twig' %}

{% block title %}Welcome to Pizza-Plaza!{% endblock %}

{% block javascripts %}
	function removePizza(url){
		$.ajax({
			url: url,
			type: 'POST',
			success: function(data) {
				location.reload();
			}
		});
	}

	function removeExtra(url, extra_key){
		$.ajax({
			url: url,
			type: 'POST',
			data: { 'extra_key': extra_key },
			success: function(data) {
				location.reload();
			}
		});
	}
{% endblock %}

{% block body %}
<div class="container">
	<div class="row">
		<div class="col">
			<table class="table table-sm table-striped mt-5" style="width: 500px;">
				<thead>
					<th width="5%" scope="col"></th>
					<th width="35%" scope="col">Name</th>
					<th width="20%" scope="col">{{ lang == 'de' ? 'Preis' : 'Price'}}</th>
				</thead>
				<tbody>
					{% set counter = 0 %}
					{% set total_price = 0 %}
					{% for key, order_info in order %}
						{% set counter = counter + 1 %}
						{% for pizza in pizzas %}
						    {% if pizza.id == order_info.id %}
						        {% set extras = pizza.extras %}
						    {% endif %}
						{% endfor %}
							<tr>
								<td>
									<span class="far fa-minus-square text-danger" onclick="removePizza(`{{ path('remove-pizza', {'id': key } ) }}`);" style="cursor: pointer;">
									</span>
									<span class="far fa-plus-square text-success" onClick="addExtras('{{ order_info.name }}', '{{ key }}', 'checkout' , '{{ extras|json_encode }}' , '{{ order_info.extras|json_encode }}')" data-bs-toggle="modal" data-bs-target="#extrasModal" style="cursor: pointer;">
									</span>
								</td>
								<td>{{ order_info.name }}</td>
								{% if pizzaToday.id == order_info.id %}
									{% set pizzaprice = (order_info.price - order_info.price * 0.33)|round(2, 'floor') %}
								{% else %}
									{% set pizzaprice = order_info.price %}
								{% endif %}
								<td>€ {{ pizzaprice }}</td>
								{% set total_price = total_price + pizzaprice %}
							</tr>
							<tr>
								<td colspan="5">
									<table class="table table-sm mb-0">
										<tbody>
											{% for extra_key, extras in order_info.extras %}
												<tr>
													<td width="20%" class="text-danger text-end">
														<span class="far fa-minus-square" onclick="removeExtra(`{{ path('remove-extra', {'id': key } ) }}`, `{{ extra_key }}`)" style="cursor: pointer;"></span></td>
													<td width="20%">{{ extras.name }}</td>
													<td width="27%"></td>
													<td width="20%" class="text-start">€ {{ extras.price }}</td>
													<td width="60%">{% set total_price = total_price + extras.price %}</td>
												</tr>
											{% endfor %}
										</tbody>
									</table>
								</td>
							</tr>
					{% endfor %}
					<tfoot>
						<tr class="delivery d-none">
							<td class="text-start" colspan="2">{{ lang == 'de' ? 'Lieferung kostenlos' : 'Delivery Fee' }}:</td>
							<td>€ <span id="total-fee"> 1.50</span></td>
						</tr>
						<tr>
							<td class="text-start" colspan="2">{{ lang == 'de' ? 'Gesamtpreis' : 'Total Price' }}:</td>
							<td>€ <span id="total-price" data-price="{{ total_price }}" >{{ total_price|round(2, 'floor') }}</span></td>
						</tr>
					</tfoot>
				</tbody>
			</table>
		</div>

		<div class="col">

			<div class="shadow p-3 mb-5 bg-body rounded mt-5" style="width: 500px;">
				<i>{{ lang == 'de' ? 'Hinweis: Bitte füllen Sie das Formular aus, bevor Sie die Bestellung absenden' : 'Note: Kindly fill up the form before submitting the order.' }}</i>
				<form action="/submit-order" method="post">
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Vorname' : 'First Name'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control"  name="firstName" required>
						</div>
					</div>
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Nachname' : 'Last Name'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control"  name="lastName" required>
						</div>
					</div>
					<div class="row mt-3 delivery d-none">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Stadt' : 'City'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control delivery-input"  name="city">
						</div>
					</div>
					<div class="row mt-3 delivery d-none">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Straße' : 'Street'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control delivery-input"  name="street">
						</div>
					</div>
					<div class="row mt-3 delivery d-none">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Hausnummer' : 'Street no.'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control delivery-input"  name="streetNo">
						</div>
					</div>
					<div class="row mt-3 delivery d-none">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Postleitzahl' : 'Zip'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control delivery-input"  name="zip">
						</div>
					</div>
					<div class="row mt-3 delivery d-none">
						<div class="col-3 mb-3">
							<label>{{lang == 'de' ? 'Telephon' : 'Phone'}}</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control delivery-input"  name="phone">
						</div>
					</div>
					<div class="row mt-3">
					<div class="col col-sm-12 col-md-12 col-lg-12 text-center pb-3">
						<input class="extras_input" id="delivery-option" data-check="0" type="checkbox" style="width: 25px; height: 25px;">
						<label class="form-label text-start align-left mb-3">{{ lang == 'de' ? 'An meine Adresse liefern' : 'Deliver to my Address.'}}</label>
					</div>
					</div>
					<div class="row text-center align-middle mt-3">
						<div class="col">
							<button type="submit" class="btn btn-primary">{{ lang == 'de' ? 'Bestellung abschicken' : 'Submit Order'}}</button>
						</div>
					</div>
				</form>
			</div>

		</div>

	</div>
</div>
{% endblock %}
